| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.SimplestFloat

Portability | unportable
Stability | unstable
Maintainer | joamaki@gmail.com

Contents

Usage:

Description
A basic floating layout like SimpleFloat but without the decoration.
Synopsis

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a
data SimplestFloat a

Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.SimplestFloat

Then edit your `layoutHook` by adding the SimplestFloat layout:

     myLayout = simplestFloat ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a | Source

A simple floating layout where every window is placed according to the window's initial attributes.

data SimplestFloat a | Source

Instances

LayoutClass SimplestFloat Window
Read (SimplestFloat a)
Show (SimplestFloat a)

Produced by Haddock version 2.4.2